Add a language

POST https://manage.kontent.ai/v2/projects/:environment_id/languages

Create new languages in your environment. For each active language, you can create localized content using language variants.

Request Body

{"name"=>"<string>", "codename"=>"<string>", "id"=>"<string>", "external_id"=>"<string>", "is_active"=>"<boolean>", "is_default"=>"<boolean>", "fallback_language"=>{"value"=>"<Error: Too many levels of nesting to fake this schema>"}}

HEADERS

KeyDatatypeRequiredDescription
Content-Typestring
Acceptstring

RESPONSES

status: Created

{&quot;id&quot;:&quot;2ea66788-d3b8-5ff5-b37e-258502e4fd5d&quot;,&quot;name&quot;:&quot;German (Germany)&quot;,&quot;codename&quot;:&quot;de-DE&quot;,&quot;external_id&quot;:&quot;standard-german&quot;,&quot;is_active&quot;:true,&quot;is_default&quot;:false,&quot;fallback_language&quot;:{&quot;id&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;}}